
#! /bin/sh -

# Check yad(1) availability
if ! type yad-fittstool > /dev/null 2>&1
then
    exit 127
fi

# Ignore possible SIGTERM
trap "" TERM

yad-fittstool --center --no-buttons --undecorated --width=0 --height=25 --text="Maximize" --text-align=center  --timeout=1
status=$?

# Check if the user has pressed the "OK" button or the dialog
# has been closed because the timeout has been reached.  Then
# proceed to run scrot(1) if all goes well.

if test "$status" = 0 || test "$status" = 70
then
    exec xdotool key shift+alt+F10
fi

exit $status
